# Maintainer: Ivan Shapovalov <intelfx@intelfx.name>

pkgbase=python-pyfuse3
pkgname=(python-pyfuse3)
pkgver=3.3.0
pkgrel=1
arch=('x86_64')
pkgdesc="Python 3 bindings for libfuse 3 with asynchronous API (Trio compatible)"
url="https://github.com/libfuse/pyfuse3"
license=('LGPL')
depends=('python' 'python-trio' 'fuse3')
makedepends=('python-build' 'python-installer' 'python-wheel' 'python-setuptools')
source=("https://github.com/libfuse/pyfuse3/releases/download/${pkgver}/pyfuse3-${pkgver}.tar.gz")
sha256sums=('SKIP')

build() {
	cd pyfuse3-$pkgver
	python -m build --wheel --no-isolation
}

package_python-pyfuse3() {
	cd pyfuse3-$pkgver
	python -m installer --destdir="$pkgdir" dist/*.whl
}
